package ndk06b;

public class Yonetici extends Calisan {
	private int bonus;

	public Yonetici( String name, int maas ) {
		super( name, maas );
		bonus = 0;
	}

	public Yonetici( String name, int maas, int bonus ) {
		super( name, maas );
		this.bonus = bonus;
	}

	public void setBonus( int bonus ) {
		this.bonus = bonus;
	}

	public int getMaas( ) {
		return super.getMaas( ) + bonus;
	}
	
	public String toString() {
		return "Adm " + getIsim() + 
				" ve ynetici olarak maam ise " + getMaas();
	}
	
	public String kendiniTanit() {
		return "Bir yneticiyim ancak bununla birlikte:\n" + super.toString();
	}
	
}
