package ndk08b;

public class Toy extends Item {
	private int minAgeLimit;

	public Toy(String barcode, String description, int minAgeLimit) {
		super(barcode, description);
		this.minAgeLimit = minAgeLimit;
	}
	public boolean isSuitable(Child aChild) {
		if( aChild.getAgeInMonths()/12 >= minAgeLimit )
			return true;
		return false;
	}
	public String toString() {
		return getBarcode() + " barkodlu bir oyuncam, tanmm: " + getDescription()
		 + " ve " + minAgeLimit + " ile st yalardaki ocuklara uygunum.";
	}

}
