package ornekler1C.I;

public class UAV {
	private int bosAgirlik, maxAgirlik; 
	private Fuze fuzesi;
	private int fuzeSiniri, fuzeSayisi;
	private boolean ucuyorMu;
	public UAV(int bosAgirlik, int maxAgirlik, int fuzeSiniri) {
		this.bosAgirlik = bosAgirlik; this.maxAgirlik = maxAgirlik; this.fuzeSiniri = fuzeSiniri;
	}
	public Fuze getFuzesi() { return fuzesi; }
	public void setFuzesi(Fuze fuzesi) { this.fuzesi = fuzesi; }
	public int getFuzeSayisi() { return fuzeSayisi; }
	public void setFuzeSayisi(int fuzeSayisi) { 
		if( fuzeSayisi <= fuzeSiniri )
			this.fuzeSayisi = fuzeSayisi; 
		//isterseniz else iinde bir atama yapabilirsiniz ama soruda byle bir istek yok.
	}
	public int getBosAgirlik() { return bosAgirlik; }
	public int getMaxAgirlik() { return maxAgirlik; }
	public int getFuzeSiniri() { return fuzeSiniri; }
	public boolean getUcuyorMu() { return ucuyorMu; }
	
	public boolean fuzeAtesle() {
		if( getUcuyorMu() && fuzesi != null && fuzeSayisi > 0 ) {
			fuzeSayisi --; return true;
		}
		return false;
	}
	public int mevcutAgirlikHesapla() {
		int mevcutAgirlik = bosAgirlik;
		if( fuzesi != null )
			mevcutAgirlik += fuzeSayisi * fuzesi.getAgirlik();
		return mevcutAgirlik; 
	}
	public boolean ucusaGec() {
		if( mevcutAgirlikHesapla() < maxAgirlik ) {
			ucuyorMu = true; return true;
		}
		return false;
	}
	

}
