package ornekler1D.III;

public class MarketStok {
	private Malzeme malzemeler[];
	private int malzemeLimiti, malzemeSayisi;
	
	public MarketStok(int malzemeLimiti) {
		this.malzemeLimiti = malzemeLimiti;
		malzemeler = new Malzeme[malzemeLimiti];
		malzemeSayisi = 0;
	}
	
	public Malzeme malzemeBul( String barkod ) {
		for( int i=0; i<malzemeSayisi; i++ )
			if( malzemeler[i].getBarkod().equals(barkod) )
				return malzemeler[i];
		return null;
	}
	
	public boolean malzemeEkle( Malzeme yeni ) {
		if( malzemeSayisi == malzemeLimiti 
				|| malzemeBul(yeni.getBarkod()) != null)
			return false;
		malzemeler[malzemeSayisi] = yeni;
		malzemeSayisi++;
		return true;
	}
	
	public void tarihiGecenleriListele() {
		boolean bulundu = false;
		System.out.println("Tarihi geen malzemeler: ");
		for( int i=0; i<malzemeSayisi; i++ ) {
			if( malzemeler[i].tarihiGectiMi() ) {
				System.out.println(malzemeler[i]);
				bulundu = true;
			}
		}
		if( !bulundu ) System.out.println("Bulunmamaktadr");
	}
	
	public void tumMalzemeleriListele() {
		System.out.println("Tm malzemeler: ");
		for( int i=0; i<malzemeSayisi; i++ ) {
			System.out.println(malzemeler[i]);
		}
	}

	public void depoGenislet( int yeniLimit ) {
		if( malzemeLimiti >= yeniLimit )	return;
		Malzeme yeniDizi[] = new Malzeme[yeniLimit];
		for( int i=0; i<malzemeSayisi; i++ )
			yeniDizi[i] = malzemeler[i];
		malzemeLimiti = yeniLimit;
		malzemeler = yeniDizi;
	}

}
