package ornekler1D.II;

import java.util.*;

public class Yiyecek implements Malzeme {
	private String barkod, tanim;
	private double fiyat, KDV;
	private Date sonKullanim;
	public Yiyecek(String barkod, String tanim, double fiyat, 
			double kDV, Date sonKullanim) {
		this.barkod = barkod; this.tanim = tanim; 
		this.fiyat = fiyat; KDV = kDV;
		this.sonKullanim = sonKullanim;
	}
	public String getBarkod() { return barkod; }
	public String getTanim() { return tanim; }
	public double getFiyat() { return fiyat; }
	public double getKDV() { return KDV; }
	public Date getSonKullanim() { return sonKullanim; }
	public boolean tarihiGectiMi() {
		Date simdi = new Date();
		return sonKullanim.before(simdi);
	}
	public String toString() {
		String bilgi = "Yiyecek: " + barkod + " " + tanim + " " + fiyat + "TL";
		if( sonKullanim != null )	
			bilgi += " Son kullanm: " + sonKullanim;
		return bilgi;
	}
	
	

}
