package ornekler1D.III;

import ornekler1D.I.*;

public abstract class Malzeme {
	private String barkod, tanim;
	private double fiyat, KDV;

	public Malzeme(String barkod, String tanim, double fiyat, double kDV) {
		this.barkod = barkod; this.tanim = tanim;
		this.fiyat = fiyat; KDV = kDV;
	}
	public String getBarkod() { return barkod; }
	public String getTanim() { return tanim; }
	public double getFiyat() { return fiyat; }
	public double getKDV() { return KDV; }

	public abstract Tarih getSonKullanim();
	public abstract boolean tarihiGectiMi();
}
