package ornekler1D.III;

import ornekler1D.I.*;

public class Yiyecek extends Malzeme {
	private Tarih sonKullanim;
	public Yiyecek(String barkod, String tanim, double fiyat, 
			double kDV, Tarih sonKullanim) {
		super(barkod,tanim,fiyat,kDV);
		this.sonKullanim = sonKullanim;
	}
	public Tarih getSonKullanim() { return sonKullanim; }
	public boolean tarihiGectiMi() {
		Tarih simdi = new Tarih(99,99,99);
		return sonKullanim.onceMi(simdi);
	}
	public String toString() {
		String bilgi = "Yiyecek: " + getBarkod() + " " 
				+ getTanim() + " " + getFiyat() + "TL";
		if( sonKullanim != null )	
			bilgi += " Son kullanm: " + sonKullanim;
		return bilgi;
	}
	
	

}
